> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fivemanage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Log by Trace ID

> Retrieve a single log entry by its trace ID.



## OpenAPI

````yaml /openapi.json get /v3/logs/{traceId}
openapi: 3.0.0
info:
  description: >-
    This is the API server for Fivemanage, providing endpoints for media
    management, logging, and SDK integration.
  title: Fivemanage API
  termsOfService: https://fivemanage.com/legal/terms-of-service
  contact:
    name: Support
    email: support@fivemanage.com
  version: '1.0'
servers:
  - url: https://api.fivemanage.com/api
security: []
paths:
  /v3/logs/{traceId}:
    get:
      tags:
        - Logging (Beta)
      summary: Get Log by Trace ID
      description: Retrieve a single log entry by its trace ID.
      parameters:
        - description: Trace ID of the log entry
          name: traceId
          in: path
          required: true
          schema:
            type: string
        - description: Dataset name (alternative to X-Fivemanage-Dataset header)
          name: dataset
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.LogDetailResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.LogDetailResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/api.LogEntryResponse'
        status:
          type: string
    api.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Error message
    api.LogEntryResponse:
      type: object
      properties:
        body:
          type: string
        level:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        parentId:
          type: string
        resource:
          type: string
        timestamp:
          type: string
        traceId:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````